# Passenger::ArrayMessage Class Reference

For array messages. More...

`#include <MessageReadersWriters.h>`

List of all members.

## Static Public Member Functions
static void | generate (StaticString args[], unsigned int argsCount, char headerBuf[sizeof(uint16_t)], StaticString *out, unsigned int outCount)
| Given a bunch of array items, generates an array message.

## Detailed Description

For array messages.

## Member Function Documentation

static void Passenger::ArrayMessage::generate | ( | StaticString | args[],
|  | unsigned int | argsCount,
|  | char | headerBuf[sizeof(uint16_t)],
|  | StaticString * | out,
|  | unsigned int | outCount |
| ) |  |  | `[inline, static]`

Given a bunch of array items, generates an array message.

The message is generated in the form of an array of StaticStrings which must all be written out (e.g. with writev()) in the given order. These StaticStrings point to the buffers pointed to by args as well as headerBuf, so args and headerBuf must stay valid until the message has been written out or copied.

Parameters:

  | args | An array of array items to be included in the array message.
  | argsCount | The number of items in args.
  | headerBuf | A pointer to a buffer in which the array message header is to be stored.
  | out | A pointer to a StaticString array in which the generated array message data will be stored. Exactly `outputSize(argsCount)` items will be stored in this array.
  | outCount | The number of items in out.

The documentation for this class was generated from the following file:

- MessageReadersWriters.h